<html>
	<head>
		<link href="/static/css/style.css" rel="stylesheet">
	</head>
	<body>
		{% include "header.html" %}
		<div class="containerentities">
			<div class="topindex">
				<h1>Liste des entités</h1>
				<p>Cliquez sur les titres et ensuite glissez-les où vous voulez.</p>
				<div class="entities">
					{% for entity in entities %}
					<div id="entity{{entity['id_entity']}}" class='entity'  >

						<div id="entity{{entity['id_entity']}}header" class="entityheader" onclick="dragElement(document.getElementById('entity{{entity['id_entity']}}'),document.getElementById('entitybody{{entity['id_entity']}}'),document.getElementById('close{{entity['id_entity']}}'));"><span>{{entity["title"]}}</span></div>
						<div class="entitybody"  id="entitybody{{entity['id_entity']}}">
<span id='close{{entity['id_entity']}}' onclick="closeEntity(entity{{entity['id_entity']}},entitybody{{entity['id_entity']}})" style="display:none;text-align:right;" >Fermer</span>
							{% for author in entity['authors'] %}
{%set idauthor = author['id_author']%}
{{idauthor}}
{% for author in authors %}
{% if author['id_author']==idauthor %}
							<span>{%for name in author.versions %}</span>
							{{name['name']}}	
							{% endfor %}
							{%endif%}
							{% endfor %}
							{% endfor %}
							{% for version in entity['versions'] %}
							<p class="texttranslated">{{version['text_translated']|replace('\n', '<br>')|safe}}</p>
							{% endfor %}
							{% for imgman in entity['imagesManuscript'] %}
							<img src="{{imgman['URL']}}">
							{% endfor %}
							<p>
						{% if entity["uris"][0] %}
						<li><a href="passages/urn:cts:greekLit:tlg7000.tlg001.ag:{{entity["title"]|replace('Greek Anthology ', '')}}">Pagina epigrammatis {{entity["title"]|replace('Greek Anthology', 'Anthologia Graeca')}}</a></li>
						{%else%}

						<li><a href="entity/{{entity["id_entity"]}}">{{entity["title"]}} - CAVE! Deficet uri</a></li>
						{%endif%}
</p>
						</div>
					</div>
					{% endfor %}
				</div>
			</div>

		</div>
		<script>
			//Make the DIV element draggagle:
			function closeEntity(entity,entitybody) {
entity.removeAttribute("style");
				entitybody.style.display='none'
			}


			function dragElement(elmnt,body,close) {
				var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
				elmnt.style.position='absolute';
                                elmnt.style.zIndex='+10'
				body.style.display='block';
				close.style.display='block';
				if (document.getElementById(elmnt.id + "header")) {
					/* if present, the header is where you move the DIV from:*/
					document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
				} else {
					/* otherwise, move the DIV from anywhere inside the DIV:*/
					elmnt.onmousedown = dragMouseDown;
				}

				function dragMouseDown(e) {
					e = e || window.event;
					e.preventDefault();
					// get the mouse cursor position at startup:
					pos3 = e.clientX;
					pos4 = e.clientY;
					document.onmouseup = closeDragElement;
					// call a function whenever the cursor moves:
					document.onmousemove = elementDrag;
				}

				function elementDrag(e) {
					e = e || window.event;
					e.preventDefault();
					// calculate the new cursor position:
					pos1 = pos3 - e.clientX;
					pos2 = pos4 - e.clientY;
					pos3 = e.clientX;
					pos4 = e.clientY;
					// set the element's new position:
					elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
					elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
				}

				function closeDragElement() {
					/* stop moving when mouse button is released:*/
						document.onmouseup = null;
					document.onmousemove = null;
				}
			}
		</script>
	</body>
</html>
